#' A collection of bibliographic references
#'
#' An example dataset containing 11 journal references.  The variables are 
#' described below.
#'
#' \itemize{
#'   \item AUTHORS. Authors of the journal article
#'   \item YEAR. Publication year
#'   \item TITLE. Article title
#'   \item JOURNAL. Journal name
#'   \item VOLUME. Journal volume number
#'   \item LPAGES. Lower page number
#'   \item UPAGES. Upper page number
#'   \item DOI. Digital object identifier (DOI) of journal article
#'   \item ABSTRACT. Full text of the journal article abstract
#' }
#'
#' @docType data
#' @keywords datasets
#' @name example_references_metagear
#' @usage data(example_references_metagear)
#' @format A data frame with 12 rows and 9 variables.
NULL

#' An example image of a scatterplot figure
#'
#' An EBImage object depicting a scatterplot image from Figure 2 of Kam, M., 
#'    Cohen-Gross, S., Khokhlova, I.S., Degen, A.A. and Geffen, E. 2003. 
#'    Average daily metabolic rate, reproduction and energy allocation during
#'    lactation in the Sundevall Jird Meriones crassus. Functional 
#'    Ecology 17:496-503.
#'
#' @docType data
#' @keywords datasets
#' @name Kam_et_al_2003_Fig2
#' @usage data(Kam_et_al_2003_Fig2)
#' @format A \code{EBImage} object containing a scatterplot raster image
NULL